JTS Topology Suite version 1.13

## com.vividsolutions.jts.awt
Interface PointShapeFactory

All Known Implementing Classes:
  PointShapeFactory.BasePointShapeFactory, PointShapeFactory.Circle, PointShapeFactory.Cross, PointShapeFactory.Point, PointShapeFactory.Square, PointShapeFactory.Star, PointShapeFactory.Triangle, PointShapeFactory.X

    public interface PointShapeFactory

An interface for classes which create `Shape`s to represent `PointShapeFactory.Point` geometries. Java2D does not provide an actual point shape, so some other shape must be used to render points (e.g. such as a Rectangle or Ellipse).

Author:
  Martin Davis

Nested Class Summary
`static class` `PointShapeFactory.BasePointShapeFactory`
`static class` `PointShapeFactory.Circle`
`static class` `PointShapeFactory.Cross`
`static class` `PointShapeFactory.Point`
`static class` `PointShapeFactory.Square`
`static class` `PointShapeFactory.Star`
`static class` `PointShapeFactory.Triangle`
`static class` `PointShapeFactory.X`

Method Summary
`java.awt.Shape` `createPoint(java.awt.geom.Point2D point)` Creates a shape representing a `PointShapeFactory.Point`.

Method Detail

### createPoint

    java.awt.Shape createPoint(java.awt.geom.Point2D point)

  Creates a shape representing a `PointShapeFactory.Point`.

  Parameters:
    `point` - the location of the point
  Returns:
    a shape

JTS Topology Suite version 1.13